> ## Documentation Index
> Fetch the complete documentation index at: https://pentest-tools.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the data for a logger

> Get a list of requests made to the logger



## OpenAPI

````yaml https://app.pentest-tools.com/api-schema.yml get /http_loggers/{id}/data
openapi: 3.0.3
info:
  title: pentest-tools.com REST API
  version: 1.0.1.1
servers:
  - url: https://app.pentest-tools.com/api/v2
security:
  - bearerAuth: []
tags:
  - name: targets
    x-displayName: Targets
    description: Operations done on Targets
  - name: scans
    x-displayName: Scans
    description: Operations done on Scans
  - name: workspaces
    x-displayName: Workspaces
    description: Operations done on Workspaces
  - name: http_loggers
    x-displayName: HTTP Loggers
    description: Operations done on HTTP Loggers
  - name: wordlists
    x-displayName: Wordlists
    description: Operations done on Wordlists
  - name: finding_templates
    x-displayName: Finding Templates
    description: Operations done on Finding Templates
  - name: vpn_profiles
    x-displayName: VPN Profiles
    description: Operations done on VPN Profiles
  - name: findings
    x-displayName: Findings
    description: Operations done on Findings
  - name: reports
    x-displayName: Reports
    description: Operations done on Reports
paths:
  /http_loggers/{id}/data:
    parameters:
      - name: id
        in: path
        description: id of the logger
        required: true
        schema:
          type: integer
    get:
      tags:
        - http_loggers
      summary: Get the data for a logger
      description: Get a list of requests made to the logger
      operationId: get_logger_data
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                required:
                  - data
                properties:
                  data:
                    type: object
                    properties:
                      requests:
                        type: array
                        items:
                          $ref: '#/components/schemas/HttpLoggerData'
        '401':
          $ref: '#/components/responses/UnauthorizedError'
        '403':
          $ref: '#/components/responses/ForbiddenError'
        '404':
          $ref: '#/components/responses/ObjectNotFoundError'
        '429':
          $ref: '#/components/responses/TooManyRequestsError'
        '500':
          description: Internal server error
components:
  schemas:
    HttpLoggerData:
      type: object
      properties:
        id:
          type: integer
          description: the unique identifier of the data entry
          example: 321443
        ip_address:
          type: string
          format: ipv4
          description: The source IP of the request
          example: 212.65.54.23
        request_method:
          type: string
          description: >-
            The HTTP method used to make the request.
            [Here](https://developer.mozilla.org/en-US/docs/Web/HTTP/Methods) is
            a list of possible values
        url_params:
          type: string
          description: The parameters used in the request
          example: username=jamesbond
        user_agent:
          type: string
          description: The user agent used in the request
          example: >-
            Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML,
            like Gecko) Chrome/91.0.4472.101 Safari/537.36 Edg/91.0.864.48
        os:
          type: string
          description: The OS of the user who did the request
          example: Windows 10 x64
        http_headers:
          type: array
          items:
            type: string
          description: The list of HTTP headers used in the request
        request_body_type:
          type: string
          nullable: true
          enum:
            - binary
            - text
            - null
          description: >-
            The type of data held in the request body. This is `null` for empty
            bodies
        request_body_base64:
          type: string
          description: >-
            The body of the request, base64 encoded. This is an empty string for
            empty bodies
        request_date:
          type: string
          format: date-time
          example: '2021-06-14 15:40:52'
    ErrorResponse:
      type: object
      additionalProperties: false
      properties:
        status:
          type: integer
          example: 401
        message:
          type: string
          example: No API key specified
  responses:
    UnauthorizedError:
      description: API key is missing or invalid
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    ForbiddenError:
      description: You can"t perform this action.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    ObjectNotFoundError:
      description: The object with the given ID was not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    TooManyRequestsError:
      description: Too many requests made in a short period of time
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Use the "API key" from the [profile
        page](https://app.pentest-tools.com/account/api) as the token

````